Subject: bug#33556: 27.0.50; Error rasied with global-auto-revert-mode

From: Michael Albinus <[email-masked]>
Date: Fri, 30 Nov 2018 12:09:06 +0100

Malcolm Purvis <[email-masked]> writes:

Hi Malcolm.

> Running the latest version of master emacs for the last few weeks has
> been producing the following error when I enable global-auto-revert-mode:
>
> Error running timer ‘auto-revert-buffers’: (wrong-type-argument
>                                             file-notify--watch nil)
>
> I see that autorevert.el was last change on Nov 4, which is about the
> time I started seeing this error.

Indeed, the error seems to be introduced with that commit.

I've pushed a fix to the master, adding an additional check. Could you
pls test whether this fixes the error?

> Malcolm

Thanks for the report, and best regards, Michael.

Best regards, Michael.